Jump to content


 


Register a free account to unlock additional features at BleepingComputer.com
Welcome to BleepingComputer, a free community where people like yourself come together to discuss and learn how to use their computers. Using the site is easy and fun. As a guest, you can browse and view the various discussions in the forums, but can not create a new topic or reply to an existing one unless you are logged in. Other benefits of registering an account are subscribing to topics and forums, creating a blog, and having no ads shown anywhere on the site.


Click here to Register a free account now! or read our Welcome Guide to learn how to use this site.

Photo

installation media player of kodi via os linux based Ubuntu


  • This topic is locked This topic is locked
21 replies to this topic

#1 RAMIA

RAMIA

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 23 October 2015 - 12:57 PM

An important clarification

the use in media player of kodi it's not violate copyright, it's like any use of media player.

 

i try install media player of kodi via os linux based Ubuntu 

According to instructions from their official website

http://kodi.wiki/view/HOW-TO:Install_Kodi_for_Linux#Installing_Kodi_on_Ubuntu-based_distributions

1.1 Installing Kodi on Ubuntu-based distributions

sudo apt-get install software-properties-common
sudo add-apt-repository ppa:team-xbmc/ppa
sudo apt-get update
sudo apt-get install kodi

 

but, When i try to run the kodi, it's not run, why?

from official forum of kodi, Directed me to any forum of os linux.

 

This copy output from my terminal

 

rami@rami-System-Product-Name ~ $ sudo apt-get install software-properties-common
[sudo] password for rami:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
software-properties-common is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 26 not upgraded.
rami@rami-System-Product-Name ~ $ sudo add-apt-repository ppa:team-xbmc/ppa
You are about to add the next PPA to the System
 More details: https://launchpad.net/~team-xbmc/+archive/ubuntu/ppa:

to Continue press enter or ctrl-c to Cancellation Added
(here i pressed enter)

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.wbZ1zQSdcJ --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyring /etc/apt/trusted.gpg.d/steam.gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 91E7EE5E
gpg: requesting key 91E7EE5E from hkp server keyserver.ubuntu.com
gpg: key 91E7EE5E: "Launchpad PPA for XBMC for Linux" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
rami@rami-System-Product-Name ~ $ sudo apt-get update
Hit http://repo.steampowered.com precise InRelease
Hit http://repo.steampowered.com precise/steam Sources                         
Ign http://dl.google.com stable InRelease                                      
Hit http://repo.steampowered.com precise/steam amd64 Packages                  
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://repo.steampowered.com precise/steam i386 Packages                   
Get:1 http://security.ubuntu.com trusty-security InRelease [64.4 kB]           
Hit http://dl.google.com stable Release.gpg                                    
Ign http://archive.canonical.com trusty InRelease                              
Ign http://archive.ubuntu.com trusty InRelease                                 
Get:2 http://archive.canonical.com trusty Release.gpg [933 B]                  
Hit http://ppa.launchpad.net trusty InRelease                                  
Get:3 http://archive.canonical.com trusty Release [9,359 B]                    
Hit http://dl.google.com stable Release                                        
Hit http://archive.ubuntu.com trusty-updates InRelease                         
Get:4 http://archive.canonical.com trusty/partner i386 Packages [6,301 B]      
Get:5 http://archive.ubuntu.com trusty Release.gpg [72 B]                      
Hit http://ppa.launchpad.net trusty InRelease                                  
Get:6 http://archive.canonical.com trusty/partner Translation-en [4,588 B]     
Ign http://packages.linuxmint.com rafaela InRelease                            
Hit http://security.ubuntu.com trusty-security/main i386 Packages              
Hit http://dl.google.com stable/main i386 Packages                             
Hit http://archive.ubuntu.com trusty-updates/main i386 Packages                
Get:7 http://security.ubuntu.com trusty-security/restricted i386 Packages [12.2 kB]
Ign http://extra.linuxmint.com rafaela InRelease                               
Get:8 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [15.1 kB]
Hit http://ppa.launchpad.net trusty Release.gpg                                
Get:9 http://security.ubuntu.com trusty-security/universe i386 Packages [117 kB]
Hit http://ppa.launchpad.net trusty/main Sources                               
Hit http://archive.ubuntu.com trusty-updates/universe i386 Packages            
Get:10 http://security.ubuntu.com trusty-security/multiverse i386 Packages [3,846 B]
Hit http://packages.linuxmint.com rafaela Release.gpg                          
Get:11 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [12.1 kB]
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://security.ubuntu.com trusty-security/main Translation-en             
Get:12 http://ppa.launchpad.net trusty/main Translation-en [18.2 kB]           
Hit http://extra.linuxmint.com rafaela Release.gpg                             
Hit http://archive.ubuntu.com trusty-updates/main Translation-en               
Get:13 http://security.ubuntu.com trusty-security/multiverse Translation-en [1,679 B]
Get:14 http://security.ubuntu.com trusty-security/restricted Translation-en [3,076 B]
Get:15 http://security.ubuntu.com trusty-security/universe Translation-en [68.3 kB]
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en         
Hit http://ppa.launchpad.net trusty/main Sources                               
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en         
Get:16 http://packages.linuxmint.com rafaela Release [3,212 B]                 
Ign http://packages.linuxmint.com rafaela Release                              
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://archive.ubuntu.com trusty-updates/universe Translation-en           
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Get:17 http://archive.ubuntu.com trusty Release [11.9 kB]                      
Get:18 http://archive.ubuntu.com trusty/main i386 Packages [14 B]              
Hit http://ppa.launchpad.net trusty Release                                    
Ign http://packages.linuxmint.com rafaela/main i386 Packages/DiffIndex         
Hit http://extra.linuxmint.com rafaela Release                                 
Hit http://ppa.launchpad.net trusty/main Sources                               
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Ign http://packages.linuxmint.com rafaela/upstream i386 Packages/DiffIndex     
Ign http://packages.linuxmint.com rafaela/import i386 Packages/DiffIndex       
Hit http://extra.linuxmint.com rafaela/main i386 Packages                      
Ign http://dl.google.com stable/main Translation-he_IL                         
Ign http://dl.google.com stable/main Translation-he                            
Ign http://dl.google.com stable/main Translation-en                            
Ign http://extra.linuxmint.com rafaela/main Translation-he_IL                  
Ign http://extra.linuxmint.com rafaela/main Translation-he                     
Ign http://extra.linuxmint.com rafaela/main Translation-en                     
Get:19 http://packages.linuxmint.com rafaela/main i386 Packages [8,049 B]      
Get:20 http://packages.linuxmint.com rafaela/upstream i386 Packages [39.1 kB]  
Hit http://packages.linuxmint.com rafaela/import i386 Packages         
Ign http://packages.linuxmint.com rafaela/import Translation-he_IL             
Ign http://packages.linuxmint.com rafaela/import Translation-he                
Ign http://packages.linuxmint.com rafaela/import Translation-en
Ign http://packages.linuxmint.com rafaela/main Translation-he_IL
Ign http://packages.linuxmint.com rafaela/main Translation-he
Ign http://packages.linuxmint.com rafaela/main Translation-en
Ign http://packages.linuxmint.com rafaela/upstream Translation-he_IL
Ign http://packages.linuxmint.com rafaela/upstream Translation-he              
Ign http://packages.linuxmint.com rafaela/upstream Translation-en              
Ign http://repo.steampowered.com precise/steam Translation-he_IL               
Ign http://repo.steampowered.com precise/steam Translation-he
Ign http://repo.steampowered.com precise/steam Translation-en
Fetched 399 kB in 1min 36s (4,124 B/s)
W: GPG error: http://packages.linuxmint.com rafaela Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: Failure to bring

E: Some index files failed to download. They have been ignored, or old ones used instead.
rami@rami-System-Product-Name ~ $ sudo apt-get install kodi
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kodi : Depends: python-simplejson but it is not installable
        Depends: libshairplay0 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
rami@rami-System-Product-Name ~ $ kodi
No command 'kodi' found, did you mean:
 Command 'komi' from package 'komi' (universe)
kodi: command not found
rami@rami-System-Product-Name ~ $

 

by the way

They do not stop & They working on next version-version 16

http://kodi.tv/kodi-16-alpha-3/


Edited by RAMIA, 23 October 2015 - 01:35 PM.

I am for peace

BC AdBot (Login to Remove)

 


#2 MadmanRB

MadmanRB

    Spoon!!!!


  • Members
  • 2,877 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:No time for that when there is evil afoot!
  • Local time:09:07 PM

Posted 23 October 2015 - 10:56 PM

If its giving you too much issue try XBMC, its the older version of Kodi but it will do the same basic job.


You know you want me baby!

Proud Linux user and dual booter.

Proud Vivaldi user.

 

ljxaqg-6.png


#3 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 23 October 2015 - 11:06 PM

But not everything works well in version of xbmc.


I am for peace

#4 pcpunk

pcpunk

  • Members
  • 5,739 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:Florida
  • Local time:09:07 PM

Posted 24 October 2015 - 12:05 AM

I take it you can't use VLC or Amarok?

It installed fine on my system, maybe you did something wrong.  When installing from the Terminal you cannot make a mistake.

I found this, it seems to be the same problem you are having.
https://answers.launchpad.net/ubuntu/+source/update-manager/+question/97838 
 
Be careful when making these changes or you will end up with a mess again.  You might want to wait for help.  Try to use the Default equipment first if possible.

Mod Edit:  Merged posts - Hamluis.

Edited by hamluis, 24 October 2015 - 05:38 PM.

sBCcBvM.png

Created by Mike_Walsh

 

KDE, Ruler of all Distro's

eps2.4_m4ster-s1ave.aes_pcpunk_leavemehere

 


#5 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 24 October 2015 - 09:21 AM

I take it you can't use VLC or Amarok?

What exactly does that mean?
I get the software

Edited by hamluis, 24 October 2015 - 05:41 PM.

I am for peace

#6 pcpunk

pcpunk

  • Members
  • 5,739 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:Florida
  • Local time:09:07 PM

Posted 24 October 2015 - 10:08 AM

What are you trying to do? Music, Video


You are asking about a Media Player, so I assumed VLC or Amarok would not work for what you wanted.
Mod Edit:  Merged posts - Hamluis.

Edited by hamluis, 24 October 2015 - 05:43 PM.

sBCcBvM.png

Created by Mike_Walsh

 

KDE, Ruler of all Distro's

eps2.4_m4ster-s1ave.aes_pcpunk_leavemehere

 


#7 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 24 October 2015 - 10:47 AM

What exactly does that mean?


Edited by hamluis, 24 October 2015 - 05:44 PM.
Removed unnecessary quotebox - Hamluis.

I am for peace

#8 pcpunk

pcpunk

  • Members
  • 5,739 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:Florida
  • Local time:09:07 PM

Posted 24 October 2015 - 11:09 AM

What are you trying to do?????


sBCcBvM.png

Created by Mike_Walsh

 

KDE, Ruler of all Distro's

eps2.4_m4ster-s1ave.aes_pcpunk_leavemehere

 


#9 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 24 October 2015 - 11:52 AM

i try to install kodi


Edited by hamluis, 24 October 2015 - 05:47 PM.

I am for peace

#10 pcpunk

pcpunk

  • Members
  • 5,739 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:Florida
  • Local time:09:07 PM

Posted 24 October 2015 - 12:44 PM

What are you trying to Play?????  Why can't you use VLC or Amarok?


sBCcBvM.png

Created by Mike_Walsh

 

KDE, Ruler of all Distro's

eps2.4_m4ster-s1ave.aes_pcpunk_leavemehere

 


#11 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 24 October 2015 - 12:47 PM

That not everything works for other things.

so how to fix this?


I am for peace

#12 pcpunk

pcpunk

  • Members
  • 5,739 posts
  • ONLINE
  •  
  • Gender:Male
  • Location:Florida
  • Local time:09:07 PM

Posted 24 October 2015 - 01:09 PM

RAMIA This means nothing, please be specific.


Edited by hamluis, 24 October 2015 - 05:48 PM.

sBCcBvM.png

Created by Mike_Walsh

 

KDE, Ruler of all Distro's

eps2.4_m4ster-s1ave.aes_pcpunk_leavemehere

 


#13 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:03:07 AM

Posted 24 October 2015 - 01:13 PM

I'm interested according to my preference to install kodi In the right way, so how to do this?


Edited by hamluis, 24 October 2015 - 05:48 PM.

I am for peace

#14 nuna

nuna

  • Members
  • 155 posts
  • OFFLINE
  •  
  • Gender:Not Telling
  • Local time:02:07 AM

Posted 24 October 2015 - 02:21 PM

rami@rami-System-Product-Name ~ $ sudo apt-get update
[...]
W: GPG error: http://packages.linuxmint.com rafaela Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: Failure to bring

E: Some index files failed to download. They have been ignored, or old ones used instead.
rami@rami-System-Product-Name ~ $ sudo apt-get install kodi
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kodi : Depends: python-simplejson but it is not installable
        Depends: libshairplay0 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


It could be a network issue, related with the error you get in update manager.
If you are still getting errors after sudo apt-get update, read this.

Edited by nuna, 24 October 2015 - 02:26 PM.


#15 nuna

nuna

  • Members
  • 155 posts
  • OFFLINE
  •  
  • Gender:Not Telling
  • Local time:02:07 AM

Posted 24 October 2015 - 02:39 PM

You are asking about a Media Player, so I assumed VLC or Amarok would not work for what you wanted.

Thread title wrong. Kodi is a Media Center.

That not everything works for other things.
so how to fix this?

RAMIA This means nothing, please be specific.

RAMIA, being more specific will help you get better answers and alternatives. Knowing how people use a specific software can help other members as well.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users